# Enum ocl::builders::BuildOpt [−] [src]

    pub enum BuildOpt {
        CmplrDefine {
            ident: String,
            val: String,
        },
        CmplrInclDir {
            path: String,
        },
        CmplrOther(String),
        IncludeDefine {
            ident: String,
            val: String,
        },
        IncludeRaw(String),
        IncludeRawEof(String),
    }

A build option used by ProgramBuilder.

Strings intended for use either by the compiler as a command line switch or for inclusion in the final build source code.

A few of the often used variants have constructors for convenience.

- [FIXME] TODO: Explain how each variant is used.

- [FIXME] TODO: Examples.

## Variants

`CmplrDefine`

### Fields of `CmplrDefine`

`ident: String` |
`val: String` |

`CmplrInclDir`

### Fields of `CmplrInclDir`

`path: String` |

`CmplrOther(String)` `IncludeDefine`

### Fields of `IncludeDefine`

`ident: String` |
`val: String` |

`IncludeRaw(String)` `IncludeRawEof(String)`

## Methods

### `impl BuildOpt`
[src]

#### `pub fn cmplr_def<S: Into<String>>(ident: S, val: i32) -> BuildOpt`
[src]

Returns a `BuildOpt::CmplrDefine`.

#### `pub fn include_def<S: Into<String>>(ident: S, val: String) -> BuildOpt`
[src]

Returns a `BuildOpt::IncludeDefine`.

## Trait Implementations

### `impl Clone for BuildOpt`
[src]

#### `fn clone(&self) -> BuildOpt`
[src]

Returns a copy of the value. Read more

#### `fn clone_from(&mut self, source: &Self)`
1.0.0
[src]

Performs copy-assignment from `source`. Read more

### `impl Debug for BuildOpt`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`
[src]

Formats the value using the given formatter. Read more

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)